Bug 1280415 - [docs] authentication guide is missing inforamtion about role assignment
[docs] authentication guide is missing inforamtion about role assignment
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ashley Hardin
Vikram Goyal
Vikram Goyal
https://access.redhat.com/documentati...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 12:08 EST by Evgheni Dereveanchin
Modified: 2016-06-10 16:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 16:50:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2015-11-11 12:08:45 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/openshift-enterprise-30-administrator-guide/#configuring-authentication
Section Number and Name: 
5.1. OVERVIEW
Describe the issue: 
The section describes various authentication providers but does not inform the user that roles need to be assigned in order to administer the setup with an external user.
Suggestions for improvement: 
Add a link to the roles section or describe the process of adding a cluster admin right in this chapter. Also note the default role remote users will receive.
Comment 2 Ashley Hardin 2016-06-01 12:13:38 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/2192
Comment 3 Ashley Hardin 2016-06-01 13:34:20 EDT
@Evgheni
Please review and let me know if this satisfies your request:
https://github.com/openshift/openshift-docs/pull/2192
Thanks!
Comment 5 openshift-github-bot 2016-06-06 11:15:57 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/e625f804134ed85d83e04ee698e32abc98cd4bda
Bug 1280415, added role assignment information to the Overview

https://github.com/openshift/openshift-docs/commit/289ed0efb8436aa66e01a7f00a788b5477ea56a0
Merge pull request #2192 from ahardin-rh/overview-roles

Bug 1280415, added role assignment information to the Overview

Note You need to log in before you can comment on or make changes to this bug.